import 'package:flutter/material.dart';

import 'package:provider/provider.dart';

import 'package:pweb/controllers/payouts/multiple_payouts.dart';
import 'package:pweb/pages/dashboard/payouts/multiple/sections/upload_csv/header.dart';
import 'package:pweb/pages/dashboard/payouts/multiple/sections/upload_csv/layout.dart';

class UploadCSVSection extends StatelessWidget {
  const UploadCSVSection({super.key});

  static const double _verticalSpacing = 10;

  @override
  Widget build(BuildContext context) {
    final controller = context.watch<MultiplePayoutsController>();
    final theme = Theme.of(context);

    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        UploadCsvHeader(theme: theme),
        const SizedBox(height: _verticalSpacing),
        UploadCsvLayout(controller: controller),
      ],
    );
  }
}
